port module Main exposing (amrConfig, main, toCache)

import AMR
import Counter exposing (Flags, Model, Msg, encodeMsg, fromCache, init, msgDecoder, subscriptions, update, view)


port toCache : String -> Cmd msg


amrConfig : AMR.Config Flags Msg
amrConfig =
    { encodeMsg = encodeMsg
    , msgDecoder = msgDecoder
    , fromCache = fromCache
    , toCache = toCache
    }


main : AMR.Program { amr : Maybe String } Model Msg
main =
    AMR.document amrConfig
        { subscriptions = subscriptions
        , init = init
        , update = update
        , view = view
        }
